Confligt with woocommerce 3.3

Since the update of woocommerce to 3.3. i got a theme conflict by entering my product pages from woocommerce in the wordpress backend. Any tips to clear this?

Hello,

I couldn’t recreate your issue on my local TheShop theme install. Can you please provide some explanatory screenshots and a link to your website?

Kind Regards, Roman.

Hi Roman!

The sidename is https://grossformat.de . i will attach some screenshots. The error in the logfile from our hoster is:

20.02.2018 13:24:16 grossformat.de [client 2003:e7:4300::] PHP Fatal error: Cannot declare class WC_Settings_Products, because the name is already in use in /mnt/web201/b3/41/516241/htdocs/WordPress_07/wp-content/plugins/woocommerce/includes/admin/settings/class-wc-settings-products.php on line 0

and the explanation for that error is:

https://wordpress.org/support/topic/fatal-error-cannot-redeclare-class-17/

You’ve clearly got a plugin (or some custom code in your theme) that is trying to declare a class with the same name as one already declared in WooCommerce.

The best way to determine if the issue is being caused by a theme and/or plugin is to temporarily switch your theme to Storefront and disable all plugins except for WooCommerce. If you can install plugins, install Health Check. On the troubleshooting tab, you can click the button to disable all plugins and change the theme for you while you’re logged in to that session without affecting normal visitors to your site. Note that Health Check may not count Storefront as a default theme, so you can also use Twenty Seventeen as well.

If that resolves the issue, then one-by-one you can switch back your theme and re-enable your plugins, testing in between, until you find the one causing the conflict.

Thanks for any help

kind regards

Ralf

Hello Ralf,

Did you try to deactivate all your plugins except WooCommerce?

Kind Regards, Roman.

sure, that was my first step :slight_smile:

kind regards

Ralf

Hello Ralf,

Please make sure that your hosting environment meets WordPress requirements:
https://wordpress.org/about/requirements/

Kind Regards, Roman.

Hi Roman!

The hosting environments are ok. I found the error meanwhile. There was a conflict based on the area measurement extension from woo.

thanks for your help

kind regards

Ralf

Okay, you are welcome Ralf!

Kind Regards, Roman.